# DevOps

![DevOps](images/devops-toolchain.png "DevOps")


## Pourquoi?

* unifier
   * développement logiciel (dev)
   * administration des infrastructures (ops)
* automatiser (automation)
* suivre (monitoring)
* tester: automatiquement
* accélérer: cycle courts à prioriser
* déployer: automatiquement & souvent!


## De nombreux outils

![DevOps tools](images/devops-tools.png "DevOps tools")


## contexte ISIMA / LIMOS

![team cri](images/cri.jpeg "team cri")

* ambiance tendue entre dev et ops !
* on cherche à
  * autonomiser les dev et les users en général
  * automatiser la gestion de nos services


## les outils du dialogue

* [vagrant](vagrant.html)
* [ansible](ansible.html)
* [vault](vault.html)
* [proxmox](pve.html)
* [terraform](terraform.html)
* [stack](stack.html)
* [gitlab](gitlab.html)


## See also

* [<i class="fa fa-wikipedia"></i> DevOps](https://en.wikipedia.org/wiki/DevOps)

* [12 factor](https://12factor.net/)

* [@waxzce](https://twitter.com/waxzce)
